Bug 263776 - x11-toolkits/granite: Update to 7.0.0
Summary: x11-toolkits/granite: Update to 7.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-desktop (Team)
URL:
Keywords:
Depends on:
Blocks: 263941
  Show dependency treegraph
 
Reported: 2022-05-04 20:29 UTC by Olivier Duchateau
Modified: 2022-05-13 22:02 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments
x11-toolkits/granite7 (11.71 KB, patch)
2022-05-04 20:29 UTC, Olivier Duchateau
no flags Details | Diff
x11-toolkits/granite7 (11.71 KB, patch)
2022-05-12 17:37 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2022-05-04 20:29:24 UTC
Created attachment 233728 [details]
x11-toolkits/granite7

- Add new port x11-toolkits/granite7 (previous release can be used in parallel)
- Update to 7.0.0
- Adjust patch and dependencies
Comment 1 Tobias C. Berner freebsd_committer 2022-05-05 05:14:05 UTC
Moin moin 

Is there a good reason not to update in-place?


mfg Tobias
Comment 2 Olivier Duchateau 2022-05-05 15:25:35 UTC
(In reply to Tobias C. Berner from comment #1)

Because, applications which depend of Granite toolkit are not yet ported to this new API.
Comment 3 Olivier Duchateau 2022-05-12 17:37:15 UTC
Created attachment 233876 [details]
x11-toolkits/granite7

Enhance description!
Comment 4 commit-hook freebsd_committer 2022-05-13 22:00:18 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=9f83e6190ae9e3d4253ec897d96c19d0be2f405c

commit 9f83e6190ae9e3d4253ec897d96c19d0be2f405c
Author:     Olivier Duchateau <duchateau.olivier@gmail.com>
AuthorDate: 2022-05-13 21:55:43 +0000
Commit:     Tobias C. Berner <tcberner@FreeBSD.org>
CommitDate: 2022-05-13 21:58:27 +0000

    x11-toolkits/granite7: new port -- Extensions of GTK 4.0 toolkit

    Granite is an extension of GTK toolkit. It provides several widgets and
    classes that ease desktop applications development.

    WWW: https://github.com/elementary/granite

    PR:             263776

 x11-toolkits/Makefile                              |   1 +
 x11-toolkits/granite7/Makefile (new)               |  27 +++
 x11-toolkits/granite7/distinfo (new)               |   3 +
 .../files/patch-lib_Widgets_DatePicker.vala (new)  |  11 ++
 x11-toolkits/granite7/pkg-descr (new)              |   4 +
 x11-toolkits/granite7/pkg-plist (new)              | 212 +++++++++++++++++++++
 6 files changed, 258 insertions(+)
Comment 5 Tobias C. Berner freebsd_committer 2022-05-13 22:02:00 UTC
Committed. Thanks.